org.richfaces.renderkit

## Class NotifyMessageRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.MessageRendererBase
      - - org.richfaces.renderkit.NotifyMessageRendererBase

- Direct Known Subclasses:
    HtmlNotifyMessageRenderer, HtmlNotifyMessagesRenderer

      public class NotifyMessageRendererBase
      extends MessageRendererBase

  Author:
    Lukas Fryc

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyMessageRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `encodeNotification(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Map<String,Object> options)`
    `protected void` | `encodeScript(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Map<String,Object> options)`
    `protected String` | `getJSClassName()`

    - ### Methods inherited from class org.richfaces.renderkit.MessageRendererBase

      `encodeMessage, encodeScript, getLevel, getMessages, getMsgClass, getMsgStyle, getVisibleMessages, isComponentMessage, isComponentMessages, isComponentRichMessage, isComponentRichMessages`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotifyMessageRendererBase

          public NotifyMessageRendererBase()

  - ### Method Detail

    - #### getJSClassName

          protected String getJSClassName()

      Overrides:
        `getJSClassName` in class `MessageRendererBase`

    - #### encodeScript

          protected void encodeScript(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component,
                          Map<String,Object> options)
                               throws IOException

      Throws:
        `IOException`

    - #### encodeNotification

          protected void encodeNotification(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component,
                                Map<String,Object> options)
                                     throws IOException

      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.